import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature } from 'topojson';


const jsonUrl =
  'https://gist.githubusercontent.com/manvithareddykarra/cbbc5f394bb3f5bd6828b5ea81a0ab06/raw/098b03784b4efbf1418d317edc633b66982053d3/gistfile1.txt';

export const useData = () => {
  const [data, setData] = useState(null);

  console.log(data);
  useEffect(() => {
   
    
    
    json(jsonUrl).then(topojsonData => {
     const { salem_new } = topojsonData.objects;
      
    setData(feature(topojsonData, salem_new));  
    });
  }, []);
  
  return data;
};